Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Advisories: GSA_kwCzR0hTQS1oajRnLTR3MzYteDhocM4AAxF7

Kraken has arbitrary file read vulnerability via component testfs

kraken <= 0.1.4 has an arbitrary file read vulnerability via the component testfs.

Permalink: https://github.com/advisories/GHSA-hj4g-4w36-x8hp

Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: 18 days ago
Updated: 3 days ago

CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Identifiers: GHSA-hj4g-4w36-x8hp, CVE-2022-47747
References:

Affected Packages

go:github.com/uber/kraken
Versions: <= 0.1.4
No known fixed version